package com.tofly.feesapi.bjgl.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.feesapi.bjgl.entity.YhBjflFb;
import com.tofly.feesapi.bjgl.entity.dto.YhBjflFbFilter;
import com.tofly.feesapi.bjgl.entity.vo.YhBjflFbSelect;
import com.tofly.feesapi.bjgl.service.YhBjflFbService;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;
import org.springframework.stereotype.Service;
import com.tofly.feesapi.bjgl.mapper.YhBjflFbMapper;


@Service()
public class YhBjflFbServiceImpl extends ServiceImpl<YhBjflFbMapper, YhBjflFb> implements YhBjflFbService {

    @Override
    public String getMaxid() {
        return this.baseMapper.getMaxid();
    }

    @Override
    public PageResult<YhBjflFbSelect> getPage(PageDto pageDto, YhBjflFbFilter filter) {
        PageDto<YhBjflFbSelect> page = this.baseMapper.getPage(pageDto, filter);
        return page.toVo();
    }


}
